<p>We feel that an efficient way to on-board you initially onto how our infrastructure works is to give you a quick overview of the life of an HTTP request sent to an Open edX appserver that we host with Grove.</p>
<p>We only cover the <a href="https://handbook.opencraft.com/en/latest/glossary/#grove">Grove</a> case, since it is the most common way of deploying appservers at Opencraft.</p>
<p>Additionally, to keep this section compact enough, we only cover the specifically customized pieces. That is, we don't cover the details of a request at the network access layer, nor how Django handles it in the edx-platform -- those and others are things that're common to all Open edX deployments, whether on Kubernetes, AWS, or hosted by some other provider entirely.</p>
<p>Finally, there is a <em>lot</em> more to it than this. Our infrastructure is relatively vast and diverse because of the large range of clients we have, the large number of technologies needed to run Open edX successfully, and all of the peripheral things we need to be able to monitor and understand our systems from a higher level.</p>

<p> For a full birds-eye view of our infrastructure, please refer to our <a href="https://docs.google.com/drawings/d/1XSRpjCcxU346p_E8Vb-rgEM3BKb34jE0KTjALFFonI8/edit"> latest infrastructure Map</a>.
